From MacWorld:

"Will I need to be running Lion to upgrade to Mountain Lion, or can I upgrade straight from Snow Leopard?

According to the information Apple has provided with the developer preview, you need to be running at least the latest version of Snow Leopard (OS X 10.6.8) to install Mountain Lion."

So, Doesn't look like you need to go through updating to Lion at all =)

I think that article also has answers to some of your other queries ...